Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Modules/ImageProcessor/VLCImageProcessor/VLCGoalRecognizer.cpp File Reference

Implementation of class VLCGoalRecognizer. More...

`#include "Tools/ColorClasses.h"`
`#include "Tools/Math/Geometry.h"`
`#include "Tools/Debugging/DebugImages.h"`
`#include "Tools/Debugging/DebugDrawings.h"`
`#include "Platform/GTAssert.h"`
`#include "Representations/Perception/LandmarksPercept.h"`
`#include "VLCImageProcessorTools.h"`
`#include "VLCGoalRecognizer.h"`

Include dependency graph for VLCGoalRecognizer.cpp:

Go to the source code of this file.

## Defines
#define | HORIZON_ALIGNED_RECTANGLE(horizoninfo, x1, y1, x2, y2, penwidth, penstyle, pencolor)
| Macro to draw a rectangle that is given in horizon-aligned coordinates.
## Enumerations
enum | parameters { minGoalpostHeight = 7, maxScanLengthToGoalpostEdge = 14 }
| Parameters. More...
## Functions
Matrix3x3< int > | inverseCovarianceMatrix2 (colorClass goalColor)
| Function for initialization of const member in EdgeDetector.

## Detailed Description

Implementation of class VLCGoalRecognizer.

Author:
  Tobias Oberlies

Definition in file VLCGoalRecognizer.cpp.

## Define Documentation

#define HORIZON_ALIGNED_RECTANGLE | ( | horizoninfo,
|  | x1,
|  | y1,
|  | x2,
|  | y2,
|  | penwidth,
|  | penstyle,
|  | pencolor |  | ) |

| Value:
    { \
        Vector2<int> _topleft = horizoninfo.toImageCoordinates(x1, y1); \
        Vector2<int> _bottomleft = horizonInfo.toImageCoordinates(x1, y2); \
        Vector2<int> _bottomright = horizoninfo.toImageCoordinates(x2, y2); \
        Vector2<int> _topright = horizoninfo.toImageCoordinates(x2, y1); \
            QUADRANGLE(imageProcessor_flagsAndGoals, _topleft.x, _topleft.y, _bottomleft.x, _bottomleft.y, _bottomright.x, _bottomright.y, _topright.x, _topright.y, penwidth, penstyle, pencolor); \
      }
  Macro to draw a rectangle that is given in horizon-aligned coordinates. Parameters:
  horizoninfo | The current ImageInfo instance.
  x1,y1,x2,y2 | The coordinates of 2 opposite corners in horizon-aligned coordinates.
  penwidth | The line width.
  penstyle | The line style, e.g. ls_solid.
  pencolor | The drawing colour.
Definition at line 51 of file VLCGoalRecognizer.cpp.

## Enumeration Type Documentation

enum parameters

  | Parameters. Enumeration values:
  minGoalpostHeight |
  maxScanLengthToGoalpostEdge |
Definition at line 31 of file VLCGoalRecognizer.cpp.

## Function Documentation

Matrix3x3<int> inverseCovarianceMatrix2 | ( | colorClass | goalColor | ) |

| Function for initialization of const member in EdgeDetector. Definition at line 1657 of file VLCGoalRecognizer.cpp. Referenced by VLCGoalRecognizer::EdgeDetector::EdgeDetector().